nxt.http.callers

## Class GetExpectedBidOrdersCall

- java.lang.Object
- - nxt.http.APICall.Builder<GetExpectedBidOrdersCall>
  - - nxt.http.callers.GetExpectedBidOrdersCall

-     public class GetExpectedBidOrdersCall
      extends APICall.Builder<GetExpectedBidOrdersCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GetExpectedBidOrdersCall` | `asset(long asset)`
    `GetExpectedBidOrdersCall` | `asset(java.lang.String asset)`
    `static GetExpectedBidOrdersCall` | `create()`
    `GetExpectedBidOrdersCall` | `requireBlock(java.lang.String requireBlock)`
    `GetExpectedBidOrdersCall` | `requireLastBlock(java.lang.String requireLastBlock)`
    `GetExpectedBidOrdersCall` | `sortByPrice(java.lang.String sortByPrice)`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, getBlock, getBlocks, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, remote, secretPhrase, setParamValidation, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static GetExpectedBidOrdersCall create()

    - #### requireLastBlock

          public GetExpectedBidOrdersCall requireLastBlock(java.lang.String requireLastBlock)

    - #### sortByPrice

          public GetExpectedBidOrdersCall sortByPrice(java.lang.String sortByPrice)

    - #### asset

          public GetExpectedBidOrdersCall asset(java.lang.String asset)

    - #### asset

          public GetExpectedBidOrdersCall asset(long asset)

    - #### requireBlock

          public GetExpectedBidOrdersCall requireBlock(java.lang.String requireBlock)